using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Text;
using TEAMModelOS.SDK.Context.Attributes.Azure;

namespace TEAMModelOS.Service.Models.Syllabus
{
    public class KnowledgeBlock
    {
        public string id { get; set; }
        /// <summary>
        /// 0 标准，1自建，2.....
        /// </summary>
        [Required(ErrorMessage = "{0} 必须填写")]
        public int type { get; set; } = 0;
        /// <summary>
        /// 名称
        /// </summary>
        [Required(ErrorMessage = "{0} 必须填写")]
        public string Name { get; set; }
        /// <summary>
        /// 描述
        /// </summary>
        [Required(ErrorMessage = "{0} 必须填写")]
        public string Alias { get; set; }
        /// <summary>
        /// 学科
        /// </summary>
        [Required(ErrorMessage = "{0} 必须填写")]
        public string SubjectCode { get; set; }
        /// <summary>
        /// 学校编码
        /// </summary>
        [Required(ErrorMessage = "{0} 必须填写")]
        [PartitionKey]
        public string SchoolCode { get; set; }
        [Required(ErrorMessage = "{0} 必须填写")]
        public int Order { get; set; }
        /// <summary>
        /// 删除状态0 删除 1 有效
        /// </summary>
        [Required(ErrorMessage = "{0} 必须填写")]
        public int Status { get; set; } = 1;
    }

    
}
